/* GENERAL */
@font-face {
            font-family: 'DriftersFont';
            src: 
            url('Font/Drifters-Regular.otf') format('opentype'),
            url('Font/Drifters-Regular.ttf') format('truetype');
        }

        .custom-link {
            font-family: 'DriftersFont';
            color: red;
            background: none;
            border: none;
            cursor: pointer;
            font-size: inherit;
            text-decoration: none;
        }

        .banner {
            width: 100%;
            height: 350px;
            object-fit: cover;
            display:block;
        }
        
        .header {
            position: relative;
            height: 350px;
            overflow: hidden;
        }

        /* Customize the Logo */
        .logo {
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            width: 40%;
        }

        /* Customize Navigation bar */
        .navbar {
            display: flex;
            justify-content: center;
            position:absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            background-color: #111;
            display: flex;
            justify-content: center;
            gap: 20px;
            padding: 8px 0;
            background: rgba(0, 0, 0, 0.7);
            backdrop-filter: blur(3px);
            border-top: 2px solid black;
            border-bottom: 2px solid black;
        }

        /* Adjust alignment of the word */
        .nav-home {
            text-indent: 18px;
        }

        /* Adjust alignment of the word */
        .nav-chapters {
            text-indent: 20px;
        }
        
        /* Adjust alignment of the word */
        .nav-characters {
            text-indent: 16px;
        }
       
        /* Adjust alignment of the word */
        .nav-about {
            text-indent: 16px;
        }

        /* Adjust alignment of the word */
        .nav-shop {
            text-indent: 0px;
        }

        /* Customize Navigation buttons */
        .navbar a {
            font-family: 'DriftersFont';
            align-items: center;
            width: 180px;
            box-sizing: border-box;
            text-align: center;
            color: red;
            text-decoration: none;
            font-size:1.4rem;
            letter-spacing: 0px;
            text-transform: uppercase;
            border: 2px dashed #660000;
            border-radius: 4px;
            transition: all 0.2s ease;
        }

        .navbar a:hover {
            color: white;
            border-color: red;
            transform: translateY(-2px);
        }

        .navbar a:not(:last-child)::after {
            content: "";
            color: red;
            margin-left: 20px;
        }

        /* Customize Footer */
        .footer-container {
            font-family: 'DriftersFont';
            background-color: black;
            padding: 4rem 0 4rem 0;
        }

        .footer {
            width: 80%;
            height: 40vh;
            background-color: black;
            color: red;
            display: flex;
            justify-content: center;
            flex-wrap: wrap;
            margin: 0 auto;
        }

        .footer-heading {
            display: flex;
            flex-direction: column;
            margin-right: 4rem;
        }

        .footer-heading a:hover {
            cursor: pointer;
            color: white;
            transform: translateY(-2px);
        }

        .footer-email-form {
            margin-bottom: 2rem;
        }

        #footer-email {
            font-family: 'DriftersFont';
            width: 250px;
            height: 40px;
            border-radius: 4px;
            outline: none;
            border: 2px dashed #660000;
            padding-left: 0.5rem;
            font-size: 1rem;
            margin-bottom: 1rem;
            background-color: black;
            color: red;
        }

        #footer-email::placeholder {
            color: #660000;
        }

        #footer-email-btn {
            font-family: 'DriftersFont';
            width: 100px;
            height: 47px;
            border-radius: 4px;
            background-color: black;
            color: red;
            outline: none;
            border: 2px dashed #660000;
        }

        #footer-email-btn:hover {
            cursor: pointer;
            color: white;
            transform: translateY(-2px);
        }

        .copyright {
            width: 100%;
            text-align: center;
            color: red;
            margin-top: 1rem;
            font-size: 0.8rem;
        }

        /* Adjust this for mobile devices */
        @media screen and (max-width: 700px) {
            .latest-update {
                flex-direction: column;
                text-align: center;
            }

            .update-preview {
                width: 100%;
                max-width: 400px;
            }

            .footer {
                height: 50vh;
            }
            .footer-email-form {
                margin-top: 4rem;
            }
        }

         @media screen and (max-width: 820px) {
            .footer {
                padding-top: 2rem;
            }
        }

        /* HOME TAB */
        /* Customize Exposition */
        .exposition {
            border: none;
            border-radius: none;
            padding: 20px;
            margin: auto;
            width: 100vh;
            background-color: black;
            display: flow-root;
        }

        /* Customize Exposition frame */
        .exposition-frame {
            height: 500px;
            display: block;
            float: left;
            margin-right: 10px;
            margin-bottom: 10px;
        }

        /* Customize Exposition paragraph */
        .exposition-paragraph {
            font-family: 'DriftersFont';
            background-color: black;
            color: red;
        }

          .start-button {
            font-family: 'DriftersFont';
            background-color: black;
            color: red;

            border: 2px solid #660000;
            border-radius: 6px;

            padding: 12px 12px;
            cursor: pointer;

            font-size: 1.2rem;
            outline: none;
        }

        .start-button:hover {
            transform: scale(1.05);
            color: white;
        }

        /* Customize Latest Update card */
        .latest-update {
            font-family: 'DriftersFont';
            color: red;
            font-size: 2rem;
            margin: auto;
            margin-top: 50px;

            display: flex;
            flex-direction: column;
            align-items: left;
            gap: 30px;

            width: 400px;
            padding: 30px;

            background-color: black;
            border: 2px solid #660000;
            border-radius: 10px;
            text-align: center;

            position: relative;
        }

        /* Customize Title of Update card */
        .latest-update h2 {
            font-family: 'DriftersFont';
            text-align: left;
            margin: auto;
            font-size: 3rem;
            color: red;
        }
        
        /* Customize preview frame */
        .preview-frame {
           width: 150px;
           height: 150px;
           
           overflow: hidden;

           border: 2px solid #660000;
           border-radius: 5px;

           display: block;
        }

        /* Customize preview crop */
        .update-preview {
            width: 100%;
            height: 100%;

            object-fit: cover;
            object-position: 0% -35%; /* First number moves preview horiztontally, second number moves preview vertically */
            transform: scale(2.5); /* This number zooms in or out of the preview */

            border: 2px solid #660000;
            border-radius: 5px;

            margin: 20px 0;
            flex-shrink: 0;
        }

        .update-content {
            display: flex;
            align-items: center;
            gap: 25px;
        }

        .update-info {
            font-family: 'DriftersFont';
            color: red;

            display: flex;
            flex-direction: column;
            justify-content: center;
            text-align: left;
            align-items: flex-start;
        }

        /* Customize Chapter/Page */
        #latestText {
            color: red;
            font-size: 1.1rem;
            margin: 0 0 10px 0;
        }

        /* Customize Date */
        #latestDate {
            margin: 0 0 20px 0;
            color: red;
            font-size: 1rem;
        }

        /* Customize Read button */
        .read-button {
            font-family: 'DriftersFont';
            background-color: black;
            color: red;

            border: 2px solid #660000;
            border-radius: 5px;

            padding: 12px 24px;
            cursor: pointer;

            font-size: 1.2rem;
        }

        .read-button:hover {
            transform: scale(1.05);
            color: white;
        }

        /* COMIC TAB */

        /* Chapter Cards */
        .chapter-card {
            font-family: 'DriftersFont';
            width: 250px;
            height: auto;
            padding: 10px;
            margin: 20px;
            background-color: black;
            color: red;
            border-radius: 8px;
            text-align: center;
            vertical-align: top;
            overflow: none;

            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .chapter-card:hover {
            transform: translateY(-2px);
        }

        /* Volume Title */
        #comicArchive h2 {
            font-family: 'DriftersFont';
            font-size: 2.2rem;
            margin-top: 40px;
            margin-bottom: 20px;
            color: red;
            text-align: center;
        }

        /* Chapter Cover */
        .chapter-card img {
            width: 250px;
            height: auto;
            object-fit: contain;
            display: block;
        }

        /* Chapter Name */
        .chapter-card h3 {
            font-family: 'DriftersFont';
            color: red;
            display: inline-block;
            padding: 5px 15px;
        }

        /* Read button */
        .chapter-card a {
            background-color: black;
            color: red;
            
            text-decoration: none;

            padding: 8px 25px;
            border-radius: 20px;

            font-weight: bold;
            margin-top: 12px;
        }

        .chapter-card:hover a {
            color: white;
        }

        /* Customize Comic Reader */
        .comic-reader {
            display: flex;
            flex-direction: column;
            align-items: center;
            text-align: center;
        }

        #comicPage {
            max-width: 50%;
            height: auto;
            margin-bottom: 20px;
            display: block;
        }

        .comic-controls {
            display: flex;
            gap: 15px;
        }

        .comic-controls button {
            font-family: 'DriftersFont';
            padding: 10px 20px;
            cursor: pointer;
            background-color: black;
            color: red;
            outline: none;
            border: 2px dashed #660000;
        }

        /* CHARACTERS TAB */
        .character-container {
            display: flex;
            justify-content: center;
            gap: 15px;
            flex-wrap: wrap;
        }

        .character-profiles {
            height: 200px;
            display: inline-block;
            border: 2px solid #660000;
            margin: 5px;
            width: 200px;  
        }

        .character-frame {
            width: 200px;
            height: 200px;
            display: block;
            overflow: hidden;
        }

        .character-images {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

        .character-names {
            font-family: 'DriftersFont';
            color: red;
            padding: 10px;
            text-align: center;
        }

        .character-profiles:hover {
            border: 2px solid red;
            cursor: pointer;
        }